## media-player-widget 0.1

=== Makefile ===
SRCDIR = src
SOURCES = $(SRCDIR)/media-player-widget.c
LIB=media-player-widget.so
DATA_FILE=media-player-widget.desktop
BUILDDIR = build
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1  mafw mafw-shared --libs --cflags)
CCFLAGS=-shared
HILDON_WIDGET_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
HILDON_WIDGET_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir)
MEDIA_PLAYER_WIDGET_IMAGE_PATH=/usr/share/pixmaps/media-player-widget
MEDIA_PLAYER_BACK=backward.png
MEDIA_PLAYER_FORWARD=forward.png
MEDIA_PLAYER_PLAY=play.png
MEDIA_PLAYER_PAUSE=pause.png
MEDIA_PLAYER_ALBUM=player.png
MEDIA_PLAYER_LABEL_BACKGROUND=label_background.png

CC=gcc

#HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
#HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home

all:
	mkdir -p $(BUILDDIR)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(SOURCES) -o $(BUILDDIR)/$(LIB)

install: all
	install -d $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install $(BUILDDIR)/$(LIB) $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install data/$(DATA_FILE) $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install -d $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)
	install data/$(MEDIA_PLAYER_BACK) $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)
	install data/$(MEDIA_PLAYER_FORWARD) $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)
	install data/$(MEDIA_PLAYER_PLAY) $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)
	install data/$(MEDIA_PLAYER_PAUSE) $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)
	install data/$(MEDIA_PLAYER_ALBUM) $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)
	install data/$(MEDIA_PLAYER_LABEL_BACKGROUND) $(DESTDIR)/$(MEDIA_PLAYER_WIDGET_IMAGE_PATH)

.PHONY: clean install

clean:
	rm -rf build

=== debian/changelog ===
media-player-widget (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 28 Nov 2010 18:02:48 +0100

=== debian/control ===
Source: media-player-widget
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5),libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libgconf2-dev, libmafw-shared0-dev, libmafw0-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: media-player-widget
Architecture: any
Depends: ${shlibs:Depends}
Description: Media Player Home Widget
 Media Player Home Widget
XB-Maemo-Display-Name:Media Player Home Widget
XSBC-Bugtracker: mailto:nicolaihess@web.de

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/media-player-widget install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## media-player-widget 0.2

=== debian/changelog ===
media-player-widget (0.2) unstable; urgency=low

  * new features:
  * shows album art
  * tap on album icon starts mediaplayer
  * tap on media info (title, artist...) opens playlist selection

 -- Nicolai Hess <nicolaihess@web.de>  Wed,  1 Dec 2010 16:00:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: media-player-widget
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5),libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libgconf2-dev, libmafw-shared0-dev, libmafw0-dev
+Build-Depends: debhelper (>= 5),libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libgconf2-dev, libmafw-shared0-dev, libmafw0-dev, libdbus-1-dev
 Standards-Version: 3.7.2
 Section: user/desktop

## media-player-widget 0.3

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 CC=gcc
 
-#HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
-#HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home
+HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
+HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home
 
 all:
 	mkdir -p $(BUILDDIR)

=== debian/changelog ===
media-player-widget (0.3) unstable; urgency=low

  * better playlist selection (supports "imported" playlists).

 -- Nicolai Hess <nicolaihess@web.de>  Thu,  9 Dec 2010 00:23:59 +0100
